tigase.jaxmpp.core.client.xmpp.modules

## Class ResourceBinderModule

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.ResourceBinderModule

- All Implemented Interfaces:
    ContextAware, XmppModule

      public class ResourceBinderModule
      extends Object
      implements XmppModule, ContextAware

  Module for Resource Binding.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ResourceBinderModule.ResourceBindErrorHandler` Event fires on binding error.
    `static interface` | `ResourceBinderModule.ResourceBindSuccessHandler` Event fires on binding success.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BINDED_RESOURCE_JID` Property name for retrieve binded resource from SessionObject.
    `protected Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBinderModule()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResourceBindErrorHandler(ResourceBinderModule.ResourceBindErrorHandler handler)`
    `void` | `addResourceBindSuccessHandler(ResourceBinderModule.ResourceBindSuccessHandler handler)`
    `void` | `bind()`
    `JID` | `getBindedJID()`
    `static JID` | `getBindedJID(SessionObject sessionObject)`
    `Criteria` | `getCriteria()` Criteria
    `String[]` | `getFeatures()` Returns features what are implemented by Module.
    `void` | `process(Element element)` Main method of module.
    `void` | `removeResourceBindErrorHandler(ResourceBinderModule.ResourceBindErrorHandler handler)`
    `void` | `removeResourceBindSuccessHandler(ResourceBinderModule.ResourceBindSuccessHandler handler)`
    `void` | `setContext(Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BINDED_RESOURCE_JID

          public static final String BINDED_RESOURCE_JID

      Property name for retrieve binded resource from SessionObject.
      See Also:
        Constant Field Values

    - #### log

          protected final Logger log

  - ### Constructor Detail

    - #### ResourceBinderModule

          public ResourceBinderModule()

  - ### Method Detail

    - #### getBindedJID

          public static JID getBindedJID(SessionObject sessionObject)

    - #### addResourceBindErrorHandler

          public void addResourceBindErrorHandler(ResourceBinderModule.ResourceBindErrorHandler handler)

    - #### addResourceBindSuccessHandler

          public void addResourceBindSuccessHandler(ResourceBinderModule.ResourceBindSuccessHandler handler)

    - #### bind

          public void bind()
                    throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getBindedJID

          public JID getBindedJID()

    - #### getCriteria

          public Criteria getCriteria()

      Description copied from interface: `XmppModule`
      Criteria
      Specified by:
        `getCriteria` in interface `XmppModule`
      Returns:

    - #### getFeatures

          public String[] getFeatures()

      Description copied from interface: `XmppModule`

      Returns features what are implemented by Module.

      See Service Discovery Features

      Specified by:
        `getFeatures` in interface `XmppModule`
      Returns:
        array of features

    - #### process

          public void process(Element element)
                       throws XMPPException,
                              XMLException

      Description copied from interface: `XmppModule`
      Main method of module. Module will process incoming stanza by call this method.
      Specified by:
        `process` in interface `XmppModule`
      Parameters:
        `element` - incoming XMPP stanza
      Throws:
        `XMPPException`
        `XMLException`

    - #### removeResourceBindErrorHandler

          public void removeResourceBindErrorHandler(ResourceBinderModule.ResourceBindErrorHandler handler)

    - #### removeResourceBindSuccessHandler

          public void removeResourceBindSuccessHandler(ResourceBinderModule.ResourceBindSuccessHandler handler)

    - #### setContext

          public void setContext(Context context)

      Specified by:
        `setContext` in interface `ContextAware`

Copyright © 2006–2019 Tigase. All rights reserved.